cpvw_clsPreviewImages.prototype=new cpvw_clsPreview;
function cpvw_clsPreviewImages(_1,_2){
this.parentDoc=_1;
this.customSite=_2;
this.prefetchDelay=6000;
this.openDelayTime=800;
this.closeDelayTime=0;
this.actualImgUrl="";
}
cpvw_clsPreviewImages.prototype.setup=function(){
var _3=cpvw_previewHandler.getPreviewWindow();
var _4=cpvw_previewHandler.getPreviewFrame();
_4.addEventListener("DOMContentLoaded",cpvw_previewHandler,false);
_4.addEventListener("load",cpvw_previewHandler,true);
var _5=document.getElementById("cpvw_imageFrame");
var _6=this.parentDoc;
if(_6.loadPiclensJS!=1){
_6.loadPiclensJS=1;
var _7=_6.createElement("script");
_7.setAttribute("type","text/javascript");
_7.setAttribute("src","http://lite.piclens.com/current/piclens.js");
var _8=_6.getElementsByTagName("head")[0];
if(_8){
_8.appendChild(_7);
}else{
if(_6.body){
_6.body.appendChild(_7);
}
}
}
};
cpvw_clsPreviewImages.prototype.convertLinks=function(){
var _9=this.parentDoc;
this.prefetchLinks=[];
this.arrLinks=[];
var _a=this;
var _b=false;
_9.addEventListener("mouseover",function(_c){
var _d=_a.isLink(_c.target);
if(_d){
var _e=cpvw_prefHandler.getPref(cpvw_Prefs.prefImagePreviewMode);
var _f=Components.classes["@cooliris.com/piclens/manager;1"];
if(_f||!_e){
cpvw_imageDocHandler.previewOpen(_c,_d.href,_d);
}else{
cpvw_imageDocHandler.initPreviewShow(_c,_d.href,_d);
}
}
},true);
_9.addEventListener("mouseout",function(evt){
var _11=_a.isLink(evt.target);
if(_11){
cpvw_imageDocHandler.initPreviewHide(evt);
}
},true);
};
cpvw_clsPreviewImages.prototype.isLink=function(_12){
var doc=_12.ownerDocument;
var _14=0;
var _15=_12;
if(_15.nodeName.toLowerCase()=="img"){
while(_12!=doc){
if(_12.nodeName.toLowerCase()=="a"){
return _15;
}
_12=_12.parentNode;
if(_14++==10){
return null;
}
}
}
return null;
};
cpvw_clsPreviewImages.prototype.previewOpen=function(evt,_17,_18){
var _19=this;
if(!_19.parentDoc.enablePreview){
return;
}
if(cpvw_previewHandler.previewOpenMode=="direct"){
_19.openDelayTime=cpvw_Delays.OPEN_DELAY_TIME;
_19.dispDelayTime=cpvw_Delays.DISPLAY_DELAY_TIME;
_19.initPreviewShow(evt,_17,_18);
}else{
if(cpvw_previewHandler.previewOpenMode=="icon"||cpvw_previewHandler.previewOpenMode=="icon-click"){
_19.openDelayTime=500;
_19.dispDelayTime=500;
_19.clearTimer(_19.smallDivTimer);
if(_19.isShowingPreview){
_19.initPreviewShow(evt,_17,_18);
}else{
_19.showSmallDivTimer=setTimeout(function(){
_19.showSmallDiv(evt,_17,_18);
},cpvw_iconDelayController.getIconDelayTime());
}
}else{
if(cpvw_previewHandler.previewOpenMode=="click"){
_19.clearTimer(_19.hideTimer);
}else{
if(cpvw_previewHandler.previewOpenMode=="hotkey"&&evt.ctrlKey){
_19.openDelayTime=100;
_19.dispDelayTime=500;
_19.initPreviewShow(evt,_17,_18);
}
}
}
}
};
cpvw_clsPreviewImages.prototype.showSmallDiv=function(evt,_1b,_1c){
if(this==cpvw_docHandler){
evt=cpvw_docHandler.evt;
}
var _1d=this;
if(!_1d.parentDoc.enablePreview){
return;
}
var pos=_1d.getElementPosition(_1c);
var px,py,_21=40;
var _22;
if(cpvw_prefHandler.getPref(cpvw_Prefs.prefFixedIcon)){
var _23;
if(!cpvw_jsUtils.isFF2()){
var _24=_1c.getClientRects();
var _25=_24.length;
var _26=_1c.ownerDocument.defaultView.pageYOffset;
var _27=_1c.ownerDocument.defaultView.pageXOffset;
for(var k=0;k<_25;k++){
_22=_24[k];
if(evt.pageY<_26+_24[k].bottom){
break;
}
}
pos.py=_26+_22.bottom-16;
_23=_22.right;
}else{
if((pos.px+_1c.offsetWidth)>_1c.ownerDocument.defaultView.innerWidth){
var _29=_1d.getIconPosition(_1c);
_23=_29.px;
pos.py=_29.py;
}else{
_23=pos.px+_1c.offsetWidth+5;
}
}
px=_23+10;
}else{
if(!cpvw_jsUtils.isFF2()){
var _24=_1c.getClientRects();
var _25=_24.length;
var _26=_1c.ownerDocument.defaultView.pageYOffset;
var _27=_1c.ownerDocument.defaultView.pageXOffset;
for(var k=0;k<_25;k++){
_22=_24[k];
if(evt.pageY<_26+_24[k].bottom){
break;
}
}
pos.py=_26+_22.bottom-16;
if(evt.pageX-_21<(_27+_22.left)){
if(evt.pageX+20>(_27+_22.right)){
px=_27+_22.right;
}else{
px=evt.pageX+_21+20;
}
}else{
px=evt.pageX-_21-20;
}
}else{
if(_1c.offsetWidth+_1c.offsetLeft>_1c.ownerDocument.defaultView.innerWidth){
px=pos.px-20;
pos.py=evt.pageY;
}else{
if(evt.screenX-_21<pos.px){
if(evt.screenX+_21+20>pos.px+_1c.offsetWidth){
px=pos.px+_1c.offsetWidth;
}else{
px=evt.screenX+_21+20;
}
}else{
px=evt.screenX-_21-20;
}
}
}
}
pos.px=px;
if(_1d.curLink==_1c){
return;
}
pos.px=Math.round(pos.px);
pos.py=Math.round(pos.py);
if(this.customSite=="google_images"){
pos.px-=35;
pos.py-=5;
}
_1d.removeSmallDiv(true);
if(!_1d.isShowingPreview&&!_1d.isShowingSmallDiv){
var _2a=_1d.parentDoc.createElement("img");
_2a.setAttribute("src","chrome://cooliris/skin/new/mouseover.png");
_2a.setAttribute("id","cpvw_smallDivTip");
_2a.setAttribute("style","z-index:2147483647;border: 0px solid blue;-moz-opacity:0.20;position:absolute;width:20px;height:20px;display:block !important;");
var _2b=function(){
_2a.style.opacity=parseFloat(_2a.style.opacity)+0.2;
if(parseFloat(_2a.style.opacity)<0.9){
setTimeout(function(){
_2b();
},75);
}
};
setTimeout(function(){
_2b();
},50);
_2a.style.left=pos.px+"px";
_2a.style.top=pos.py+"px";
_1d.parentDoc.body.appendChild(_2a);
_1d.isShowingSmallDiv=true;
_1d.curLink=_1c;
_2a.addEventListener("mouseover",function(evt){
if(cpvw_previewHandler.previewOpenMode=="icon-click"){
return;
}
_1d.clearTimer(_1d.smallDivTimer);
clearTimeout(_1d.smallDivRemoveTimer);
_2a.style.opacity=0.9;
_1d.mouseX=evt.screenX;
_1d.mouseY=evt.screenY;
if(evt.altKey){
if(_1b!=cpvw_stackManager.prevUrl){
cpvw_stackManager.addToStack(null,_1b);
}
}else{
_1d.mouseoverIconTimer=setTimeout(function(){
_1d.initPreviewShow(evt,_1b,_1c);
},cpvw_Delays.PREVIEW_ON_ICON_DELAY);
}
},true);
_2a.addEventListener("click",function(evt){
clearTimeout(_1d.smallDivTimer);
clearTimeout(_1d.smallDivRemoveTimer);
_2a.style.opacity=0.9;
_1d.mouseX=evt.screenX;
_1d.mouseY=evt.screenY;
if(evt.altKey){
if(_1b!=cpvw_stackManager.prevUrl){
cpvw_stackManager.addToStack(null,_1b);
}
}else{
_1d.initPreviewShow(evt,_1b,_1c);
}
},true);
_2a.addEventListener("mouseout",function(evt){
clearTimeout(_1d.mouseoverIconTimer);
_1d.initPreviewHide(evt);
_1d.removeSmallDiv();
},true);
_1d.smallDivTimer=setTimeout(function(){
_1d.removeSmallDiv();
},3000);
}else{
_1d.initPreviewShow(evt,_1b,_1c);
}
};
cpvw_clsPreviewImages.prototype.initPreviewShow=function(evt,_30,img){
this.clearTimer(this.hideTimer);
var _32=img.parentNode.href;
this.closeDelayTime=0;
var _33=img.getAttribute("src");
var uri=Components.classes["@mozilla.org/network/standard-url;1"].createInstance(Components.interfaces.nsIURI);
uri.spec=this.parentDoc.URL;
if(uri.host=="images.google.com"){
_33=img.getAttribute("src");
}
var _35=cpvw_imageDocHandler.parentDoc.enablePreview;
if(!_35){
return;
}
_32=_32;
this.pageX=evt.pageX;
this.pageY=evt.pageY;
if(this.linkUrl==_32&&this.isShowingPreview){
return;
}
if(cpvw_imageDocHandler.coolirisOpen){
return;
}
var _36=cpvw_previewHandler.getPreviewFrame();
if(_36.contentDocument&&_36.contentDocument.URL!="about:blank"){
this.setup();
}
this.popTimer=setTimeout(function(){
cpvw_imageDocHandler.showPreview(_32,_33);
},this.openDelayTime);
};
cpvw_clsPreviewImages.prototype.initPreviewHide=function(evt){
cpvw_imageDocHandler.clearTimer(cpvw_imageDocHandler.popTimer);
if(!cpvw_imageDocHandler.isShowingPreview){
return;
}
cpvw_imageDocHandler.hideTimer=setTimeout(function(){
cpvw_imageDocHandler.hidePreview();
cpvw_imageDocHandler.coolirisOpen=false;
},cpvw_Delays.CLOSE_DELAY_TIME+cpvw_imageDocHandler.closeDelayTime);
};
cpvw_clsPreviewImages.prototype.showPreview=function(_38,_39){
if(this.popTimer==null){
return;
}
this.clearTimer(this.hideTimer);
var _3a,_3b;
var _3c="";
if(this.customSite=="google_images"){
var _3d=_38.substring(_38.indexOf("?")+1,_38.length);
var _3e=_3d.split("&");
for(var i=0;i<_3e.length;i++){
if(_3e[i].indexOf("imgurl")!=-1){
var _40=_3e[i].split("=");
_3c=unescape(_40[1]);
break;
}
}
}else{
if(this.customSite=="yahoo_images"){
var _3d=_38.substring(_38.indexOf("imgurl"),_38.length);
_3d=unescape(_3d);
var _3e=_3d.split("&");
for(var i=0;i<_3e.length;i++){
if(_3e[i].indexOf("imgurl")!=-1){
var _40=_3e[i].split("=");
_3c="http://"+unescape(_40[1]);
break;
}
}
}
}
var _41=this;
cpvw_previewHandler.isContextMenu=false;
_3b=cpvw_previewHandler.getPreviewFrame();
var _42=_3b.contentDocument;
var _43=_42.getElementById("divImagePreview");
if(!_43){
_43=_42.createElement("div");
_43.setAttribute("id","divImagePreview");
}
_43.innerHTML="";
var _44=_42.createElement("IMG");
_44.setAttribute("id","tmpImgPreview");
_44.setAttribute("src",_39);
var _45=document.getElementById("cpvw_imageFrame");
_45.setAttribute("src",_38);
var _46=_42.createElement("IMG");
_46.setAttribute("id","imgPreview");
_46.setAttribute("style","visibility:hidden");
_46.setAttribute("src",_3c);
_42.body.appendChild(_43);
_43.appendChild(_44);
_43.appendChild(_46);
_44.addEventListener("load",_41.previewOnLoadThumbnail,true);
_46.addEventListener("load",_41.previewOnLoadRealImg,true);
this.linkUrl=_38;
this.isShowingPreview=true;
this.parentDoc.addEventListener("click",_41.hidePreview,true);
};
cpvw_clsPreviewImages.prototype.previewOnLoadRealImg=function(evt){
var _48=cpvw_previewHandler.getPreviewFrame();
var _49=_48.contentDocument;
cpvw_previewHandler.isLoaded=true;
var _4a=_49.getElementById("tmpImgPreview");
_4a.style.visibility="hidden";
_4a.style.display="none";
var _4b=_49.getElementById("imgPreview");
_4b.style.visibility="visible";
cpvw_imageDocHandler.setPreviewDimensions(true);
cpvw_previewHandler.numPages++;
};
cpvw_clsPreviewImages.prototype.previewOnLoadThumbnail=function(evt){
var _4d=cpvw_previewHandler.getPreviewFrame();
var _4e=_4d.contentDocument;
var _4f=_4e.getElementById("imgPreview");
var _50=_4e.getElementById("tmpImgPreview");
if(_50.style.visibility!="hidden"){
_50.style.visibility="visible";
_50.style.display="block";
_4f.style.visibility="hidden";
cpvw_imageDocHandler.setPreviewDimensions(false);
}
};
cpvw_clsPreviewImages.prototype.hidePreview=function(){
if(cpvw_imageDocHandler.hideTimer==null){
return;
}
try{
var _51=cpvw_previewHandler.hidePreview();
if(_51){
cpvw_imageDocHandler.isShowingPreview=false;
}
}
catch(ex){
}
};
cpvw_clsPreviewImages.prototype.setPreviewDimensions=function(_52){
frmPreview=cpvw_previewHandler.getPreviewFrame();
var _53=frmPreview.contentDocument;
var doc=this.parentDoc;
var _55=document.getElementById("appcontent").boxObject.y+30;
var _56=this.pageX,_57=this.pageY;
this.dimPreview=new cpvw_previewSize();
var _58=_53.getElementById("imgPreview");
var _59=_53.getElementById("tmpImgPreview");
if(_59!=null&&_59.style.display=="none"){
_52=true;
}
var _5a=(_56<doc.body.clientWidth/2)?doc.body.clientWidth-_56-40:_56-40;
var _5b=screen.availHeight-document.getElementById("appcontent").boxObject.y-120;
var _5c=_58.width/_58.height;
var _5d=_5c>_5a/_5b?_5a:_5b*_5c;
var _5e=_5c>_5a/_5b?_5a/_5c:_5b;
_5d=_5d>_58.width?_58.width:_5d;
_5e=_5e>_58.height?_58.height:_5e;
this.dimPreview.width=(_52)?_5d:_59.width*1.5;
this.dimPreview.height=(_52)?_5e:_59.height*1.5;
this.dimPreview.top=_55+5;
if(_52){
_58.width=_5d;
_58.height=_5e;
}else{
_59.width=this.dimPreview.width;
_59.height=this.dimPreview.height;
}
if(_56<doc.body.clientWidth/2){
this.dimPreview.left=(_56+40)<200?200:_56+40;
}else{
this.dimPreview.left=10;
}
this.dimPreview.width+=20;
this.dimPreview.height+=60;
if(this.dimPreview.width<500){
this.dimPreview.width=500;
}
var _5f=cpvw_prefHandler.getPref(cpvw_Prefs.prefPreviewFixedLoc);
if(_5f=="yes"){
var _60=cpvw_prefHandler.getPref(cpvw_Prefs.prefPreviewLoc);
if(_60.indexOf(",")!=-1){
this.dimPreview.left=parseInt(_60.split(",")[0]);
this.dimPreview.top=parseInt(_60.split(",")[1]);
}
}
cpvw_previewHandler.showPreview(this.dimPreview,this.customSite,true,true);
};
cpvw_clsPreviewImages.prototype.startPiclensLite=function(){
var doc=this.parentDoc;
if(doc.loadPiclensJS!=1){
doc.loadPiclensJS=1;
var _62=doc.createElement("script");
_62.setAttribute("type","text/javascript");
_62.setAttribute("src","http://lite.piclens.com/current/piclens.js");
var _63=doc.getElementsByTagName("head")[0];
if(_63!=null){
_63.appendChild(_62);
}else{
if(doc.body!=null){
doc.body.appendChild(_62);
}
}
}
var _64=this.parWindow;
var _65=[];
var _66=doc.getElementsByTagName("IMG");
for(var i=0;i<_66.length;i++){
var img=_66[i];
var _69=img.parentNode.href;
if(_69==null){
continue;
}
var _6a=img.getAttribute("src");
var _6b=_6a;
if(this.customSite=="google_images"){
if(_6a&&(_6a=="images_logo.gif"||_6a.indexOf("images/nav_logo8.png")!=-1)){
continue;
}
var _6c=_69.substring(_69.indexOf("?")+1,_69.length);
var _6d=_6c.split("&");
for(var j=0;j<_6d.length;j++){
if(_6d[j].indexOf("imgurl")!=-1){
var _6f=_6d[j].split("=");
_6b=decodeURI(_6f[1]);
break;
}
}
}else{
if(this.customSite=="yahoo_images"){
if(_69.indexOf("images/view")==-1){
continue;
}
var _6c=_69.substring(_69.indexOf("imgurl"),_69.length);
_6c=unescape(_6c);
var _6d=_6c.split("&");
for(var j=0;j<_6d.length;j++){
if(_6d[j].indexOf("imgurl")!=-1){
var _6f=_6d[j].split("=");
_6b="http://"+unescape(_6f[1]);
break;
}
}
}
}
_65.push({"src":_6b,"thumbnailSrc":_6a});
}
setTimeout(function(){
cpvw_jsUtils.showPiclensLite(_64,doc.title,doc.URL,_65,false);
},1000);
};
cpvw_clsContextMenu.prototype=new cpvw_clsPreview;
function cpvw_clsContextMenu(){
this.selectStr="";
this.siteType="";
this.menuType="";
this.openDelayTime=1000;
}
cpvw_clsContextMenu.prototype.initPreviewShow=function(_70,how,evt){
cpvw_objContextMenu.clearTimer(cpvw_objContextMenu.hideTimer);
var _73=this.selectStr;
cpvw_subSearchBar.selectedText=this.selectStr;
var _74=cpvw_contextSitesTreeView.getUrl(_70.value,_73);
this.menuType="right-click";
if(how=="click"){
var _75=cpvw_prefHandler.getPref(cpvw_Prefs.prefCMenuItems);
var _76=_75.split(",");
getBrowser().selectedTab=getBrowser().addTab(_74);
evt.stopPropagation();
return;
}
var _77=cpvw_prefHandler.getPref(cpvw_Prefs.prefPreviewEnable);
if(_77=="no"){
return;
}
if(_74==this.linkUrl&&this.isShowingPreview){
this.setPreviewDimensions();
return;
}
this.parentDoc.addEventListener("click",cpvw_objContextMenu.initPreviewHide,false);
var _75=cpvw_prefHandler.getPref(cpvw_Prefs.prefCMenuItems);
var _76=_75.split(",");
if(cpvw_jsUtils.trimWhitespace(_76[_70.value].toString())=="cooliris"){
cpvw_previewHandler.dimPreview.width=950;
cpvw_previewHandler.dimPreview.height=675;
cpvw_previewHandler.pushpin=true;
cpvw_previewHandler.updatePushpinIcon();
cpvw_previewHandler.changeDimensions(cpvw_previewHandler.dimPreview.left,cpvw_previewHandler.dimPreview.top,cpvw_previewHandler.dimPreview.width,cpvw_previewHandler.dimPreview.height,true);
this.popTimer=setTimeout(function(){
cpvw_objContextMenu.showPreview(_74,_70.value);
},this.openDelayTime);
}else{
this.popTimer=setTimeout(function(){
cpvw_objContextMenu.showPreview(_74,_70.value);
},this.openDelayTime);
}
this.dispTimer=setTimeout(function(){
cpvw_objContextMenu.displayPreview();
},this.dispDelayTime);
};
cpvw_clsContextMenu.prototype.initPreviewHide=function(evt){
cpvw_objContextMenu.clearTimer(cpvw_objContextMenu.popTimer);
cpvw_objContextMenu.clearTimer(cpvw_objContextMenu.dispTimer);
if(!cpvw_objContextMenu.isShowingPreview){
return;
}
cpvw_objContextMenu.hideTimer=setTimeout(function(){
cpvw_objContextMenu.hidePreview(false);
},cpvw_Delays.CLOSE_DELAY_TIME);
};
cpvw_clsContextMenu.prototype.showPreview=function(_79,_7a){
if(this.popTimer==null){
return;
}
var _7b=cpvw_prefHandler.getPref(cpvw_Prefs.prefCMenuItems);
var _7c=_7b.split(",");
var _7d,_7e;
this.linkUrl=_79;
this.setPreviewDimensions();
this.siteType=_7a;
cpvw_previewHandler.isContextMenu=true;
_7e=cpvw_previewHandler.getPreviewFrame();
_7e.setAttribute("src",this.linkUrl);
_7e.removeEventListener("load",cpvw_previewHandler.pageLoad,true);
_7e.addEventListener("load",cpvw_previewHandler.pageLoad,true);
this.isShowingPreview=true;
};
cpvw_clsContextMenu.prototype.displayPreview=function(){
if(this.dispTimer==null){
return;
}
if(this.dimPreview==null){
this.setPreviewDimensions();
}
cpvw_previewHandler.showPreview(this.dimPreview);
cpvw_subSearchBar.showSearchBar();
};
cpvw_clsContextMenu.prototype.setPreviewDimensions=function(){
var doc=this.parentDoc;
var _80=document.getElementById("appcontent").boxObject.y+30;
cpvw_objContextMenu.dimPreview=new cpvw_previewSize();
var _81=document.getElementById("contentAreaContextMenu");
if(_81.boxObject.x>doc.body.clientWidth/2){
cpvw_objContextMenu.dimPreview.left=10;
cpvw_objContextMenu.dimPreview.width=_81.boxObject.x-20;
}else{
cpvw_objContextMenu.dimPreview.left=_81.boxObject.x+_81.boxObject.width+10;
cpvw_objContextMenu.dimPreview.width=(doc.body.clientWidth)-(_81.boxObject.x+_81.boxObject.width)-20;
}
this.dimPreview.top=_80;
var _82=cpvw_prefHandler.getPref(cpvw_Prefs.prefPreviewFixedLoc);
if(_82=="yes"){
var _83=cpvw_prefHandler.getPref(cpvw_Prefs.prefPreviewLoc);
if(_83.indexOf(",")!=-1){
this.dimPreview.left=parseInt(_83.split(",")[0]);
this.dimPreview.top=parseInt(_83.split(",")[1]);
}
}
this.dimPreview.height=document.getElementById("appcontent").boxObject.height-45;
};
cpvw_clsContextMenu.prototype.highlightText=function(how){
var _85="";
var _86=cpvw_previewHandler.getPreviewFrame();
if(_86.contentDocument!=null&&_86.contentDocument.body!=null){
_85=cpvw_objContextMenu.selectStr;
if(_85==""){
return;
}
this.arrHighlightText=_85.split(" ");
if(this.arrHighlightText==null){
return;
}
if(how=="show"){
for(var i=0;i<this.arrHighlightText.length;i++){
this.highlightWord("#FFFF99","black",this.arrHighlightText[i],_86.contentWindow);
}
this.doneHighlight=true;
}else{
for(var i=0;i<this.arrHighlightText.length;i++){
this.removeHighlight(this.arrHighlightText[i],_86.contentWindow);
}
this.doneHighlight=false;
}
}
};
var cpvw_objContextMenu=new cpvw_clsContextMenu();

